%global version_major 8
%global apiversion %{version_major}
%global gittag %{name}%{version_major}_%{version}

Name:           gz-rendering
Version:        8.1.0
Release:        2%{?dist}
Summary:        Rendering library for robot applications

License:        Apache-2.0
URL:            https://gazebosim.org
Source0:        https://github.com/gazebosim/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz 

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  freeimage-devel
BuildRequires:  gcc-c++
BuildRequires:  libglvnd-devel
BuildRequires:  gz-cmake-devel >= 3
BuildRequires:  gz-common-devel >= 5
BuildRequires:  gz-math-devel >= 7
BuildRequires:  gz-plugin-devel >= 2
BuildRequires:  gz-utils-devel >= 2
BuildRequires:  ogre-devel
BuildRequires:  make
# Documentation
BuildRequires:  doxygen


%description
Gazebo Rendering is a C++ library designed to provide an abstraction for
different rendering engines. It offers unified APIs for creating 3D graphics
applications.  Gazebo Rendering is a component in the Gazebo framework, a set
of libraries designed to rapidly develop robot applications.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: gz-cmake-devel >= 3
Requires: gz-common-devel >= 5
Requires: gz-math-devel >= 7
Requires: gz-utils-devel >= 2
Requires: ogre-devel

%description devel
%{summary}

%prep
%autosetup -n %{name}-%{gittag} -Sgendiff -p1
sed -i 's|\${versioned} \${unversioned}|\${versioned} \${PROJECT_BINARY_DIR}/\${unversioned}|' ogre/src/CMakeLists.txt ogre2/src/CMakeLists.txt optix/src/CMakeLists.txt

%build
%cmake \
  -DCMAKE_BUILD_TYPE:STRING=Release \
  -DUSE_HOST_SSE_FLAGS:BOOL=OFF \
  -DSKIP_SWIG:BOOL=ON \
  -DSKIP_PYBIND11:BOOL=ON \
  -DSKIP_ogre2:BOOL=ON \
  -DSKIP_optix:BOOL=ON
%cmake_build


%install
%cmake_install

%check
%ctest || exit 0

%files
%license LICENSE
%{_datadir}/gz
%{_libdir}/*.so.%{version}
%{_libdir}/*.so.%{apiversion}
%{_libdir}/%{name}-%{version_major}

%files devel
%doc redhat-linux-build/doxygen/html
%{_libdir}/*.so
%{_libdir}/cmake/%{name}%{version_major}*
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/gz


%changelog
* Fri Apr 05 2024 Rich Mattes <richmattes@gmail.com> - 8.1.0-2
- Update devel package requires

* Wed Apr 03 2024 Rich Mattes <richmattes@gmail.com> - 8.1.0-1
- Initial package
